# Episodes.Community
## Overview
Episodes.Community is an in-development website for the discussion and viewing of any and every television show.  An index of episodes is maintained for each show.  Users are able to submit a link to a streaming location for an episode.  This link is then voted on by other users, with the resulting score determining that link's priority.

## Planned Features
 * Each show given a subdomain that can be used as an alternative to the url
 * Tags can be set by users on link submissions, and links can be filtered by tag
 * A system by which content can be flagged by users for admin/moderators to check
 * User moderators for shows
 * An api for automation of link submission

See a detailed draft [here](https://docs.google.com/document/d/1VI-wDvCF-3qvyC7tVX0HwruII93UDUJvFjTIfrH4fZI/edit?usp=sharing)

## Installation
0. Install prerequisites
   * [python3](https://www.python.org/)
   * [pip](https://pip.pypa.io/en/stable/installing/) (or manually install all python deps in the [requirements][requirements.txt] file)
   * Some kind of database server.  Any kind [supported by Django](https://docs.djangoproject.com/en/1.11/ref/databases/) will work.  You can use a third-party database as well, but you are responsible for [configuring Django](https://docs.djangoproject.com/en/1.11/ref/databases/#using-a-3rd-party-database-backend), and should not expect help from the community.
   * [gunicorn](http://gunicorn.org/) (for production)
1. Clone the repository
	```
	$ git clone https://github.com/IcyNet/IcyNet.eu.git
	$ cd IcyNet.eu
	```
2. Install requirements.  If you're using pip (recomended), use
	``` 
	$ sudo pip install -r requirements.txt
	```
	if installing as root, or
	```
	$ pip install -r requirements.txt --user
	```
	if installing for your user only.
3. If you're not using a full release, you'll need to generate the migration instructions.  If you are using a full release, you can skip this step.
	```
	$ python3 manage.py makemigrations
	```
4. Copy the config file, and make any needed changes
	```
	$ cp options_example.ini options.ini
	$ $EDITOR options.ini
	```
5. Setup the database
	```
	$ python3 manage.py migrate
	```
6. Run the server.  For development purposes, you can use
	```
	$ python3 manage.py runserver
	```
	For production, run
	```
	$ gunicorn EpisodesCommunity.wsgi
	```
## Contributing
If you want to contribute, we'd love your help.  You can get in contact with @LunaSquee or @Tsa6, or just start in on anything on the [issues list](https://github.com/IcyNet/Episodes.Community/issues) that hasn't already been assigned.  We do ask that you follow the [GitHub Workflow](https://guides.github.com/introduction/flow/)
