#  Episodes.Community - Community-Driven TV Show Episode Link Sharing Site
#  Copyright (C) 2017  Evert "Diamond" Prants <evert@lunasqu.ee>, Taizo "Tsa6" Simpson <taizo@tsa6.net>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Affero General Public License as
#  published by the Free Software Foundation, either version 3 of the
#  License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Affero General Public License for more details.
#
#  You should have received a copy of the GNU Affero General Public License
#  along with this program.  If not, see <https://www.gnu.org/licenses/>.

from django import forms
from LandingPage.models import Submission, Season, Episode, Ban, User

class SubmissionForm(forms.ModelForm):
    class Meta():
        model = Submission
        fields = ('url','tags',)
        help_texts = {
            'url': 'URL to your episode',
            'tags': 'Describe your link. Comma-separated list of keywords'
        }

class SeasonForm(forms.ModelForm):
    class Meta():
        model = Season
        fields = ('name','number','description','artwork',)

class EpisodeForm(forms.ModelForm):
    class Meta():
        model = Episode
        fields = ('episode','name','summary','airdate',)

class BanForm(forms.ModelForm):
    class Meta():
        model = Ban
        fields = ('reason','expiration','permanent',)
